select
  nt.numdocumento as numero_nota
  , mo.numparcela || '/' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
  , pes.nome as fornecedor
  , pr.nome as produto
  , cg.numero as numero_gerencial
  , cg.descricao as conta_gerencial
  , ccu.descricao as centro_custo
  , mo.dtvencimento as data_vencimento
  , mo.dtpagamento as data_pagamento_recebimento
  , (mo.vrpago*(case nt.tiponota when 'E' then -1 when 'S' then 1 else 0 end)) as valor_pago_recebido
  , (cast((((ni.vrtotal / nt.valor)*mo.vrpago)*(coalesce(nia.percentual, 100)/100)) as decimal(15,2))
                        *(case nt.tiponota when 'E' then -1 when 'S' then 1 else 0 end)) as valor_apropriado
  , nia.percentual
  , cc.descricao as conta_corrente
  , tp.nome as tipo_pagamento_recebimento
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  left join contacorrente cc on cc.cdcontacorrente = mo.cdcontacorrente
  left join tipopagamentorecebimento tp on tp.cdtipopagamentorecebimento = mo.cdtipopagamentorecebimento
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccu on ccu.cdcentrocusto = nia.cdcentrocusto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
where
  nt.tiponota = 'E'
--ALTERE AQUI O PERODO DE PAGAMENTO, CONFORME DESEJADO. MANTER O FORMATO DA DATA 'AAAA-MM-DD'.
  and mo.dtpagamento between  '2015-01-01' and '2015-01-31'
  and nt.valor <> 0
order by
  nt.numdocumento, mo.dtpagamento



